LibreOffice LibreOffice 7.2 SDK API Reference

Modules | Variables
CalendarDisplayIndex.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::CalendarDisplayIndex
| Values to be passed to XCalendar::getDisplayName().

## Variables
const short | AM_PM = 0
| name of an AM/PM value More...
const short | DAY = 1
| name of a day of week More...
const short | MONTH = 2
| name of a month More...
const short | YEAR = 3
| name of a year (if used for a specific calendar) More...
const short | ERA = 4
| name of an era, like BC/AD More...
const short | GENITIVE_MONTH = 5
| name of a possessive genitive case month More...
const short | PARTITIVE_MONTH = 6
| name of a partitive case month More...